查询请款池 - 货款现结
POST
/basicOpen/finance/requestFundsPool/purchase/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/finance/requestFundsPool/purchase/list | HTTPS | POST | 1 |
请求参数
pay_statusstringtime_fieldstringstart_timestringend_timestringsearch_fieldstringsearch_valuestringoffsetintegerlengthinteger请求示例
{
"pay_status": "0,1",
"time_field": "create_time",
"start_time": "2024-07-25",
"end_time": "2024-07-25",
"search_field": "order_sn",
"search_value": "PO240725048",
"offset": 0,
"length": 20
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
supplier_idstring必填supplier_namestring必填purchase_order_idstring必填order_snstring必填custom_order_snstring必填purchase_typeinteger必填shipping_iconstring必填other_iconstring必填purchase_iconstring必填purchase_currencystring必填shipping_currencystring必填other_currencystring必填amount_totalstring必填other_feestring必填shipping_pricestring必填quantity_totalstring必填quantity_entrystring必填in_stock_amountsstring必填return_amountsstring必填discount_amountstring必填payable_amountstring必填amount_paidstring必填amount_not_paidstring必填purchase_amountstring必填applying_amountstring必填not_apply_amountstring必填settlement_methodstring必填create_usernamestring必填create_timestring必填remarkstring必填request_funds_typeinteger必填request_funds_type_textstring必填purchaser_idstring必填purchaser_namestring必填statusinteger必填status_textstring必填pay_statusinteger必填pay_status_textstring必填返回示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "60c51fb0ec4d4d009f77e679d72c1252.1695194071872",
"response_time": "2023-09-20 15:14:33",
"total": 1266,
"data": [
{
"supplier_id": "3453",
"supplier_name": "hqf委外供应商",
"purchase_order_id": "68646",
"order_sn": "PO220714006",
"custom_order_sn": "PO220714006",
"purchase_type": 1,
"shipping_icon": "¥",
"other_icon": "¥",
"purchase_icon": "¥",
"purchase_currency": "CNY",
"shipping_currency": "CNY",
"other_currency": "CNY",
"amount_total": "72.12",
"other_fee": "0.00",
"shipping_price": "0.00",
"quantity_total": 10,
"quantity_entry": 10,
"in_stock_amounts": "72.12",
"return_amounts": "0.00",
"discount_amount": "0.00",
"payable_amount": "72.12",
"amount_paid": "0.00",
"amount_not_paid": "72.12",
"purchase_amount": "72.12",
"applying_amount": "72.12",
"not_apply_amount": "0.00",
"settlement_method": "现结",
"create_username": "0超级管理员01",
"create_time": "2022-07-14 21:33:23",
"remark": "",
"request_funds_type": 1,
"request_funds_type_text": "采购单",
"purchaser_id": 1,
"purchaser_name": "默认采购方",
"status": 9,
"status_text": "已完成",
"pay_status": 1,
"pay_status_text": "已申请"
}
]
}